//---------------------------------------------------------------------------

#include "cbimap4PCH.h"
#pragma hdrstop

#include "Option.h"
#include "nMail.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TOptionForm *OptionForm;
//---------------------------------------------------------------------------
__fastcall TOptionForm::TOptionForm(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TOptionForm::SetSmtpSsl(int value)
{
    if(value == NMAIL_SSL_SSL3) {
        SmtpSslCombo->ItemIndex = 1;
    } else if(value == NMAIL_SSL_TLS1) {
        SmtpSslCombo->ItemIndex = 2;
    } else if(value == NMAIL_SSL_STARTTLS) {
        SmtpSslCombo->ItemIndex = 3;
    } else {
        SmtpSslCombo->ItemIndex = 0;
    }
}

int __fastcall TOptionForm::GetSmtpSsl()
{
    if(SmtpSslCombo->ItemIndex == 1) {
        return NMAIL_SSL_SSL3;
    } else if(SmtpSslCombo->ItemIndex == 2) {
        return NMAIL_SSL_TLS1;
    } else if(SmtpSslCombo->ItemIndex == 3) {
        return NMAIL_SSL_STARTTLS;
    }
    return 0;
}

void __fastcall TOptionForm::SetSmtpAuth(int value)
{
    if(value == NMAIL_SMTP_AUTH_CRAM_MD5) {
        SmtpAuthCombo->ItemIndex = 3;
    } else {
        SmtpAuthCombo->ItemIndex = value;
    }
}
int __fastcall TOptionForm::GetSmtpAuth()
{
    if(SmtpAuthCombo->ItemIndex == 3) {
        return NMAIL_SMTP_AUTH_CRAM_MD5;
    } else {
        return SmtpAuthCombo->ItemIndex;
    }
}

void __fastcall TOptionForm::SetImap4Ssl(int value)
{
    if(value == NMAIL_SSL_SSL3) {
        Imap4SslCombo->ItemIndex = 1;
    } else if(value == NMAIL_SSL_TLS1) {
        Imap4SslCombo->ItemIndex = 2;
    } else if(value == NMAIL_SSL_STARTTLS) {
        Imap4SslCombo->ItemIndex = 3;
    } else {
        Imap4SslCombo->ItemIndex = 0;
    }
}
int __fastcall TOptionForm::GetImap4Ssl()
{
    if(Imap4SslCombo->ItemIndex == 1) {
        return NMAIL_SSL_SSL3;
    } else if(Imap4SslCombo->ItemIndex == 2) {
        return NMAIL_SSL_TLS1;
    } else if(Imap4SslCombo->ItemIndex == 3) {
        return NMAIL_SSL_STARTTLS;
    }
    return 0;
}

void __fastcall TOptionForm::SetImap4Auth(int value)
{
    if(value == NMAIL_IMAP4_AUTH_CRAM_MD5) {
        Imap4AuthCombo->ItemIndex = 2;
    } else {
        Imap4AuthCombo->ItemIndex = value - 1;
    }
}

int __fastcall TOptionForm::GetImap4Auth()
{
    if(Imap4AuthCombo->ItemIndex == 2) {
        return NMAIL_IMAP4_AUTH_CRAM_MD5;
    } else {
        return Imap4AuthCombo->ItemIndex + 1;
    }
}

void __fastcall TOptionForm::SmtpSslComboChange(TObject *Sender)
{
    if(SmtpSslCombo->ItemIndex == 0 || SmtpSslCombo->ItemIndex == 3) {
	    SmtpPortEdit->Text = IntToStr(NMAIL_SMTP_PORT);
    } else {
	    SmtpPortEdit->Text = IntToStr(NMAIL_SMTP_SSL_PORT);
	}

}
//---------------------------------------------------------------------------

void __fastcall TOptionForm::Imap4SslComboChange(TObject *Sender)
{
    if(Imap4SslCombo->ItemIndex == 0 || Imap4SslCombo->ItemIndex == 3) {
	    Imap4PortEdit->Text = IntToStr(NMAIL_IMAP4_PORT);
    } else {
	    Imap4PortEdit->Text = IntToStr(NMAIL_IMAP4_SSL_PORT);
	}
}
//---------------------------------------------------------------------------

