//---------------------------------------------------------------------------
#include "cbmailPCH.h"
#pragma hdrstop

#include "Option.h"
#include "nMail.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TOptionForm *OptionForm;
//---------------------------------------------------------------------------
__fastcall TOptionForm::TOptionForm(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TOptionForm::SetSmtpAuth(int value)
{
    if(value == NMAIL_SMTP_AUTH_CRAM_MD5) {
        SmtpAuthCombo->ItemIndex = 3;
    } else {
        SmtpAuthCombo->ItemIndex = value;
    }
}

int __fastcall TOptionForm::GetSmtpAuth()
{
    if(SmtpAuthCombo->ItemIndex == 3) {
        return NMAIL_SMTP_AUTH_CRAM_MD5;
    } else {
        return SmtpAuthCombo->ItemIndex;
    }
}

void __fastcall TOptionForm::SetSmtpSsl(int value)
{
    if(value == NMAIL_SSL_SSL3) {
        SmtpSslCombo->ItemIndex = 1;
    } else if(value == NMAIL_SSL_TLS1) {
        SmtpSslCombo->ItemIndex = 2;
    } else if(value == NMAIL_SSL_STARTTLS) {
        SmtpSslCombo->ItemIndex = 3;
    } else {
        SmtpSslCombo->ItemIndex = 0;
    }
}

int __fastcall TOptionForm::GetSmtpSsl()
{
    if(SmtpSslCombo->ItemIndex == 1) {
        return NMAIL_SSL_SSL3;
    } else if(SmtpSslCombo->ItemIndex == 2) {
        return NMAIL_SSL_TLS1;
    } else if(SmtpSslCombo->ItemIndex == 3) {
        return NMAIL_SSL_STARTTLS;
    }
    return 0;
}

void __fastcall TOptionForm::SetPop3Ssl(int value)
{
    if(value == NMAIL_SSL_SSL3) {
        Pop3SslCombo->ItemIndex = 1;
    } else if(value == NMAIL_SSL_TLS1) {
        Pop3SslCombo->ItemIndex = 2;
    } else if(value == NMAIL_SSL_STARTTLS) {
        Pop3SslCombo->ItemIndex = 3;
    } else {
        Pop3SslCombo->ItemIndex = 0;
    }
}

int __fastcall TOptionForm::GetPop3Ssl()
{
    if(Pop3SslCombo->ItemIndex == 1) {
        return NMAIL_SSL_SSL3;
    } else if(Pop3SslCombo->ItemIndex == 2) {
        return NMAIL_SSL_TLS1;
    } else if(Pop3SslCombo->ItemIndex == 3) {
        return NMAIL_SSL_STARTTLS;
    }
    return 0;
}
void __fastcall TOptionForm::SmtpSslComboChange(TObject *Sender)
{
    if(SmtpSslCombo->ItemIndex == 0 || SmtpSslCombo->ItemIndex == 3) {
	    SmtpPortEdit->Text = IntToStr(NMAIL_SMTP_PORT);
    } else {
	    SmtpPortEdit->Text = IntToStr(NMAIL_SMTP_SSL_PORT);
	}
}
//---------------------------------------------------------------------------

void __fastcall TOptionForm::Pop3SslComboChange(TObject *Sender)
{
    if(Pop3SslCombo->ItemIndex == 0 || Pop3SslCombo->ItemIndex == 3) {
	    Pop3PortEdit->Text = IntToStr(NMAIL_POP3_PORT);
    } else {
	    Pop3PortEdit->Text = IntToStr(NMAIL_POP3_SSL_PORT);
	}
}
//---------------------------------------------------------------------------

