//---------------------------------------------------------------------------

#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include <Vcl.ComCtrls.hpp>
#include <vcl.Clipbrd.hpp>

#define WM_GET_CODE    (WM_APP+0x0001)

//---------------------------------------------------------------------------
class TFormMain : public TForm
{
__published:	// IDE ŊǗR|[lg
	TGroupBox *GroupBox1;
	TLabel *Label1;
	TLabel *Label2;
	TLabel *Label3;
	TLabel *LabelTenantId;
	TLabel *Label4;
	TLabel *Label5;
	TLabel *LabelAuthUri;
	TLabel *Label7;
	TLabel *Label8;
	TLabel *LabelTokenUri;
	TLabel *Label6;
	TComboBox *ComboBoxService;
	TEdit *EditClientId;
	TEdit *EditClientSecret;
	TEdit *EditTenantId;
	TEdit *EditRedirectUri;
	TButton *ButtonGetRefresh;
	TEdit *EditRefreshToken;
	TButton *ButtonGetAccess;
	TEdit *EditAccessToken;
	TGroupBox *GroupBox2;
	TLabel *Label9;
	TEdit *EditMailAddress;
	TEdit *EditTo;
	TLabel *Label10;
	TEdit *EditSubject;
	TLabel *Label11;
	TLabel *Label12;
	TMemo *MemoBody;
	TLabel *Label13;
	TEdit *EditNo;
	TButton *ButtonReceive;
	TButton *ButtonSend;
	TUpDown *UpDownNo;
	TButton *ButtonReceiveImap4;
	TEdit *EditMailBox;
	TLabel *Label14;
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall ButtonGetRefreshClick(TObject *Sender);
	void __fastcall ComboBoxServiceChange(TObject *Sender);
	void __fastcall EditTenantIdChange(TObject *Sender);
    void __fastcall WMGetCode(TMessage &msg);
	void __fastcall ButtonGetAccessClick(TObject *Sender);
	void __fastcall ButtonReceiveClick(TObject *Sender);
	void __fastcall ButtonSendClick(TObject *Sender);
	void __fastcall ButtonReceiveImap4Click(TObject *Sender);
private:	// [U[錾
    String AuthState;
    SOCKET AuthSocket;
    String FromReceived;
    String SubjectReceived;
    void ReadIni();
    void WriteIni();
    String GetAuthUri();
    String GetTokenUri();
    void CheckEnableControl();
	void MakeRandomState();
public:		// [U[錾
	__fastcall TFormMain(TComponent* Owner);
BEGIN_MESSAGE_MAP
    MESSAGE_HANDLER(WM_GET_CODE, TMessage, WMGetCode);
END_MESSAGE_MAP(TForm)
};
//---------------------------------------------------------------------------
extern PACKAGE TFormMain *FormMain;
//---------------------------------------------------------------------------

#endif
